package cn.com.poc.thirdparty.resource.text_in.entity.extraction.entity;

/**
 * @author alex.yao
 * @date 2025/5/12
 */
public class KeyInfo {
    public String key_info;
    public String[] paraphrase_names;
    public String field_type;
    public boolean is_in_table;
    public String[] keywords;

    public KeyInfo() {
    }

    public KeyInfo(String key_info, String[] paraphrase_names, String field_type, boolean is_in_table, String[] keywords) {
        this.key_info = key_info;
        this.paraphrase_names = paraphrase_names;
        this.field_type = field_type;
        this.is_in_table = is_in_table;
        this.keywords = keywords;
    }

    public String getKey_info() {
        return key_info;
    }

    public void setKey_info(String key_info) {
        this.key_info = key_info;
    }

    public String[] getParaphrase_names() {
        return paraphrase_names;
    }

    public void setParaphrase_names(String[] paraphrase_names) {
        this.paraphrase_names = paraphrase_names;
    }

    public String getField_type() {
        return field_type;
    }

    public void setField_type(String field_type) {
        this.field_type = field_type;
    }

    public boolean isIs_in_table() {
        return is_in_table;
    }

    public void setIs_in_table(boolean is_in_table) {
        this.is_in_table = is_in_table;
    }

    public String[] getKeywords() {
        return keywords;
    }

    public void setKeywords(String[] keywords) {
        this.keywords = keywords;
    }
}
